using System;
using System.Collections.Generic;
using SixLabors.ImageSharp;
using SixLabors.ImageSharp.PixelFormats;
using System.Threading.Tasks;
using System.Reflection;
using System.IO;
using Microsoft.AspNetCore.Mvc;
using Timelapse.Api;
namespace Timelapse.Data
{
    public abstract class Callbacks
    {
        public abstract string GetProjectDirectoryLocation();
        public abstract void StartRecording();

        public abstract void StopRecording();

        public abstract void EnableOneX();

        public abstract void DisableOneX();

        public abstract void OpenProject(string path);

        public abstract TimelapseProject GetProject();

        public abstract bool ProjectLoaded();
    }
}